Package org.eclipse.lemminx.settings

## Class CompositeSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.SharedSettings
  - - org.eclipse.lemminx.settings.CompositeSettings

    public class CompositeSettings
    extends SharedSettings

Composite settings class Provides a new SharedSettings instance with a second setting merged

### Constructor Summary

Constructors
`CompositeSettings​(SharedSettings settings, org.eclipse.lsp4j.FormattingOptions formatting)`

### Method Summary

### Methods inherited from class org.eclipse.lemminx.settings.SharedSettings

`getCodeActionSettings, getCodeLensSettings, getCompletionSettings, getFoldingSettings, getFormattingSettings, getHoverSettings, getPreferences, getSymbolSettings, getValidationSettings, getWorkspaceSettings, isActionableNotificationSupport, isBindingWizardSupport, isLinkedEditingEnabled, isOpenSettingsCommandSupport, setActionableNotificationSupport, setBindingWizardSupport, setLinkedEditingEnabled, setOpenSettingsCommandSupport`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositeSettings

    public CompositeSettings​(SharedSettings settings,
                             org.eclipse.lsp4j.FormattingOptions formatting)